PETSc version 3.15.5
Fix/Edit manual page

# DMMoabSetFieldVector

Sets the vector reference that represents the solution associated with a particular field component.

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabSetFieldVector(DM dm, PetscInt ifield, Vec fvec)

Not Collective

### Input Parameters

| dm | - the discretization manager object
| ifield | - the index of the field as set before via DMMoabSetFieldName.
| fvec | - the Vector solution corresponding to the field (component)

### See Also

DMMoabGetFieldName(), DMMoabSetGlobalFieldVector()

### Level

intermediate

### Location

src/dm/impls/moab/dmmbfield.cxx
Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages